public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ulrich Müller" <ulm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-editors/emacs-vcs/
Date: Sat, 23 Feb 2019 20:58:03 +0000 (UTC)	[thread overview]
Message-ID: <1550955456.02cc97bbd9d8ea383fd9f362cae6cd60c5a18be3.ulm@gentoo> (raw)

commit:     02cc97bbd9d8ea383fd9f362cae6cd60c5a18be3
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 23 20:49:59 2019 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Sat Feb 23 20:57:36 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=02cc97bb

app-editors/emacs-vcs: Move metainfo file to correct name.

Drop test restriction in slot 26.

Package-Manager: Portage-2.3.61, Repoman-2.3.12
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 app-editors/emacs-vcs/emacs-vcs-26.1.9999.ebuild | 21 ++++++++-------------
 app-editors/emacs-vcs/emacs-vcs-27.0.9999.ebuild | 20 ++++++++------------
 2 files changed, 16 insertions(+), 25 deletions(-)

diff --git a/app-editors/emacs-vcs/emacs-vcs-26.1.9999.ebuild b/app-editors/emacs-vcs/emacs-vcs-26.1.9999.ebuild
index 8c8c1e0e0c8..4ae3b77727a 100644
--- a/app-editors/emacs-vcs/emacs-vcs-26.1.9999.ebuild
+++ b/app-editors/emacs-vcs/emacs-vcs-26.1.9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -30,7 +30,6 @@ LICENSE="GPL-3+ FDL-1.3+ BSD HPND MIT W3C unicode PSF-2"
 SLOT="26"
 IUSE="acl alsa aqua athena cairo dbus dynamic-loading games gconf gfile gif gpm gsettings gtk gtk2 gzip-el imagemagick +inotify jpeg kerberos lcms libxml2 livecd m17n-lib mailutils motif png selinux sound source ssl svg systemd +threads tiff toolkit-scroll-bars wide-int X Xaw3d xft +xpm xwidgets zlib"
 REQUIRED_USE="?? ( aqua X )"
-RESTRICT="test"
 
 RDEPEND="sys-libs/ncurses:0=
 	>=app-eselect/eselect-emacs-1.16
@@ -142,8 +141,7 @@ src_prepare() {
 	eapply_user
 
 	# Fix filename reference in redirected man page
-	sed -i -e "/^\\.so/s/etags/&-${EMACS_SUFFIX}/" doc/man/ctags.1 \
-		|| die "unable to sed ctags.1"
+	sed -i -e "/^\\.so/s/etags/&-${EMACS_SUFFIX}/" doc/man/ctags.1 || die
 
 	AT_M4DIR=m4 eautoreconf
 }
@@ -285,14 +283,12 @@ src_compile() {
 src_install () {
 	emake DESTDIR="${D}" NO_BIN_LINK=t install
 
-	mv "${ED}"/usr/bin/{emacs-${FULL_VERSION}-,}${EMACS_SUFFIX} \
-		|| die "moving emacs executable failed"
-	mv "${ED}"/usr/share/man/man1/{emacs-,}${EMACS_SUFFIX}.1 \
-		|| die "moving emacs man page failed"
+	mv "${ED}"/usr/bin/{emacs-${FULL_VERSION}-,}${EMACS_SUFFIX} || die
+	mv "${ED}"/usr/share/man/man1/{emacs-,}${EMACS_SUFFIX}.1 || die
+	mv "${ED}"/usr/share/metainfo/{emacs-,}${EMACS_SUFFIX}.appdata.xml || die
 
 	# move info dir to avoid collisions with the dir file generated by portage
-	mv "${ED}"/usr/share/info/${EMACS_SUFFIX}/dir{,.orig} \
-		|| die "moving info dir failed"
+	mv "${ED}"/usr/share/info/${EMACS_SUFFIX}/dir{,.orig} || die
 	touch "${ED}"/usr/share/info/${EMACS_SUFFIX}/.keepinfodir
 	docompress -x /usr/share/info/${EMACS_SUFFIX}/dir.orig
 
@@ -377,15 +373,14 @@ pkg_preinst() {
 	# move Info dir file to correct name
 	local infodir=/usr/share/info/${EMACS_SUFFIX} f
 	if [[ -f ${ED}${infodir}/dir.orig ]]; then
-		mv "${ED}"${infodir}/dir{.orig,} || die "moving info dir failed"
+		mv "${ED}"${infodir}/dir{.orig,} || die
 	elif [[ -d "${ED}"${infodir} ]]; then
 		# this should not happen in EAPI 4
 		ewarn "Regenerating Info directory index in ${infodir} ..."
 		rm -f "${ED}"${infodir}/dir{,.*}
 		for f in "${ED}"${infodir}/*; do
 			if [[ ${f##*/} != *-[0-9]* && -e ${f} ]]; then
-				install-info --info-dir="${ED}"${infodir} "${f}" \
-					|| die "install-info failed"
+				install-info --info-dir="${ED}"${infodir} "${f}" || die
 			fi
 		done
 	fi

diff --git a/app-editors/emacs-vcs/emacs-vcs-27.0.9999.ebuild b/app-editors/emacs-vcs/emacs-vcs-27.0.9999.ebuild
index 5450edeeb08..735fbb98de7 100644
--- a/app-editors/emacs-vcs/emacs-vcs-27.0.9999.ebuild
+++ b/app-editors/emacs-vcs/emacs-vcs-27.0.9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -143,8 +143,7 @@ src_prepare() {
 	eapply_user
 
 	# Fix filename reference in redirected man page
-	sed -i -e "/^\\.so/s/etags/&-${EMACS_SUFFIX}/" doc/man/ctags.1 \
-		|| die "unable to sed ctags.1"
+	sed -i -e "/^\\.so/s/etags/&-${EMACS_SUFFIX}/" doc/man/ctags.1 || die
 
 	AT_M4DIR=m4 eautoreconf
 }
@@ -288,14 +287,12 @@ src_compile() {
 src_install () {
 	emake DESTDIR="${D}" NO_BIN_LINK=t install
 
-	mv "${ED}"/usr/bin/{emacs-${FULL_VERSION}-,}${EMACS_SUFFIX} \
-		|| die "moving emacs executable failed"
-	mv "${ED}"/usr/share/man/man1/{emacs-,}${EMACS_SUFFIX}.1 \
-		|| die "moving emacs man page failed"
+	mv "${ED}"/usr/bin/{emacs-${FULL_VERSION}-,}${EMACS_SUFFIX} || die
+	mv "${ED}"/usr/share/man/man1/{emacs-,}${EMACS_SUFFIX}.1 || die
+	mv "${ED}"/usr/share/metainfo/{emacs-,}${EMACS_SUFFIX}.appdata.xml || die
 
 	# move info dir to avoid collisions with the dir file generated by portage
-	mv "${ED}"/usr/share/info/${EMACS_SUFFIX}/dir{,.orig} \
-		|| die "moving info dir failed"
+	mv "${ED}"/usr/share/info/${EMACS_SUFFIX}/dir{,.orig} || die
 	touch "${ED}"/usr/share/info/${EMACS_SUFFIX}/.keepinfodir
 	docompress -x /usr/share/info/${EMACS_SUFFIX}/dir.orig
 
@@ -380,15 +377,14 @@ pkg_preinst() {
 	# move Info dir file to correct name
 	local infodir=/usr/share/info/${EMACS_SUFFIX} f
 	if [[ -f ${ED}${infodir}/dir.orig ]]; then
-		mv "${ED}"${infodir}/dir{.orig,} || die "moving info dir failed"
+		mv "${ED}"${infodir}/dir{.orig,} || die
 	elif [[ -d "${ED}"${infodir} ]]; then
 		# this should not happen in EAPI 4
 		ewarn "Regenerating Info directory index in ${infodir} ..."
 		rm -f "${ED}"${infodir}/dir{,.*}
 		for f in "${ED}"${infodir}/*; do
 			if [[ ${f##*/} != *-[0-9]* && -e ${f} ]]; then
-				install-info --info-dir="${ED}"${infodir} "${f}" \
-					|| die "install-info failed"
+				install-info --info-dir="${ED}"${infodir} "${f}" || die
 			fi
 		done
 	fi


             reply	other threads:[~2019-02-23 20:58 UTC|newest]

Thread overview: 104+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-02-23 20:58 Ulrich Müller [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-01-17 17:38 [gentoo-commits] repo/gentoo:master commit in: app-editors/emacs-vcs/ Ulrich Müller
2019-12-23 19:46 Ulrich Müller
2019-12-21  9:54 Ulrich Müller
2019-11-23 22:25 Ulrich Müller
2019-11-18 15:38 Ulrich Müller
2019-11-18 12:09 Ulrich Müller
2019-09-25 12:18 Ulrich Müller
2019-09-22 16:16 Ulrich Müller
2019-09-22 16:16 Ulrich Müller
2019-09-22 16:16 Ulrich Müller
2019-08-10 11:16 Ulrich Müller
2019-08-10 11:16 Ulrich Müller
2019-07-06  9:28 Ulrich Müller
2019-06-25  7:46 Ulrich Müller
2019-06-15 15:19 Ulrich Müller
2019-06-15 15:19 Ulrich Müller
2019-06-15 15:19 Ulrich Müller
2019-04-12 17:30 Ulrich Müller
2019-04-12 17:30 Ulrich Müller
2019-02-23 20:58 Ulrich Müller
2019-01-07 18:54 Ulrich Müller
2018-11-25 14:06 Ulrich Müller
2018-11-25 14:06 Ulrich Müller
2018-11-25 14:06 Ulrich Müller
2018-09-02 13:38 Ulrich Müller
2018-09-02  6:40 Ulrich Müller
2018-08-24  5:26 Ulrich Müller
2018-08-23 17:08 Ulrich Müller
2018-08-16  7:40 Ulrich Müller
2018-08-07 17:40 Ulrich Müller
2018-08-06 20:07 Ulrich Müller
2018-08-06 20:07 Ulrich Müller
2018-07-09 16:25 Ulrich Müller
2018-05-28 17:27 Ulrich Müller
2018-05-28 17:27 Ulrich Müller
2018-05-28 17:27 Ulrich Müller
2018-04-17  7:40 Ulrich Müller
2018-04-15 17:10 Ulrich Müller
2018-04-15 17:10 Ulrich Müller
2018-04-15 17:10 Ulrich Müller
2018-04-15 17:10 Ulrich Müller
2018-03-28  1:55 Matt Turner
2018-03-19 18:01 Ulrich Müller
2018-03-19 18:01 Ulrich Müller
2018-03-18 16:55 Ulrich Müller
2018-03-01  9:58 Ulrich Müller
2018-02-22  8:07 Ulrich Müller
2018-02-20  7:48 Ulrich Müller
2018-02-19 22:27 Ulrich Müller
2018-02-11 16:35 Ulrich Müller
2018-02-11 15:43 Ulrich Müller
2018-02-11 11:23 Ulrich Müller
2018-02-10 20:32 Ulrich Müller
2018-01-22 17:16 Ulrich Müller
2017-10-23 19:53 Ulrich Müller
2017-10-15 10:54 Ulrich Müller
2017-09-19 12:09 Ulrich Müller
2017-09-19 12:09 Ulrich Müller
2017-05-25 11:00 Ulrich Müller
2017-04-21 21:55 Ulrich Müller
2017-03-26 12:59 Ulrich Müller
2017-03-18 13:17 Ulrich Müller
2017-03-18 11:56 Ulrich Müller
2017-03-15  8:15 Ulrich Müller
2017-03-12 22:17 Ulrich Müller
2017-03-12 22:17 Ulrich Müller
2017-02-25 11:38 Ulrich Müller
2017-02-09 23:15 Ulrich Müller
2017-02-09 23:15 Ulrich Müller
2017-02-09 23:15 Ulrich Müller
2017-02-04 18:38 Ulrich Müller
2017-02-04 16:33 Ulrich Müller
2017-02-04 16:33 Ulrich Müller
2017-02-04 12:57 Ulrich Müller
2017-02-04 12:57 Ulrich Müller
2017-01-31  6:24 Ulrich Müller
2017-01-29 10:20 Ulrich Müller
2017-01-29 10:20 Ulrich Müller
2017-01-29 10:20 Ulrich Müller
2016-12-22 19:53 Ulrich Müller
2016-10-15 11:45 Ulrich Müller
2016-10-15 11:45 Ulrich Müller
2016-10-15 10:27 Ulrich Müller
2016-09-17 20:29 Ulrich Müller
2016-07-24 23:00 Ulrich Müller
2016-06-12  7:13 Ulrich Müller
2016-06-12  7:13 Ulrich Müller
2016-05-22  7:40 Ulrich Müller
2016-05-22  7:40 Ulrich Müller
2016-04-23  9:50 Ulrich Müller
2016-03-05 19:12 Ulrich Müller
2016-03-02 19:25 Ulrich Müller
2016-02-11 11:49 Ulrich Müller
2016-01-31 19:40 Ulrich Müller
2016-01-31 19:40 Ulrich Müller
2016-01-31 10:50 Jeroen Roovers
2016-01-31 10:46 Jeroen Roovers
2016-01-31  8:06 Ulrich Müller
2016-01-17 12:32 Ulrich Müller
2016-01-17 12:32 Ulrich Müller
2015-11-17  9:21 Ulrich Müller
2015-11-17  7:06 Ulrich Müller
2015-11-17  7:06 Ulrich Müller

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1550955456.02cc97bbd9d8ea383fd9f362cae6cd60c5a18be3.ulm@gentoo \
    --to=ulm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox